summaryrefslogtreecommitdiff
path: root/system/prometheus/rc.prometheus.new
diff options
context:
space:
mode:
authorEbben Aries <slackbuilds@dscp.org>2021-01-01 23:59:21 +0000
committerWilly Sudiarto Raharjo <willysr@slackbuilds.org>2021-01-02 10:48:27 +0700
commita4d0c91859d037090effb0c11b3873ef1b6e4a1b (patch)
treeb7c379bca9d7ae2d2d108ec8c3a56d004958d1f3 /system/prometheus/rc.prometheus.new
parent5fb3b0a24caf4472cbcc8d027dfea6c3c9ad875f (diff)
downloadslackbuilds-a4d0c91859d037090effb0c11b3873ef1b6e4a1b.tar.gz
system/prometheus: Added (Open-Source Monitoring & Alerting Toolkit)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/prometheus/rc.prometheus.new')
-rw-r--r--system/prometheus/rc.prometheus.new65
1 files changed, 65 insertions, 0 deletions
diff --git a/system/prometheus/rc.prometheus.new b/system/prometheus/rc.prometheus.new
new file mode 100644
index 0000000000..6d1e705e0e
--- /dev/null
+++ b/system/prometheus/rc.prometheus.new
@@ -0,0 +1,65 @@
+#!/bin/sh
+
+# Copyright 2020, Ebben Aries, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PROG=/usr/bin/prometheus
+USER=prometheus
+LOGFILE=/var/log/prometheus.log
+CONF=/etc/prometheus/prometheus.yml
+TSDB=/var/lib/prometheus
+WEB_LIBS=/usr/share/prometheus/console_libraries
+WEB_TEMPLATES=/usr/share/prometheus/consoles
+
+prometheus_start() {
+ echo -e "Starting Prometheus..."
+ nohup sudo -u $USER $PROG \
+ --config.file=$CONF \
+ --storage.tsdb.path=$TSDB \
+ --web.console.libraries=$WEB_LIBS \
+ --web.console.templates=$WEB_TEMPLATES \
+ > $LOGFILE 2>&1 &
+}
+
+prometheus_stop() {
+ echo -e "Stopping Prometheus..."
+ killall prometheus
+}
+
+prometheus_restart() {
+ prometheus_stop
+ sleep 3
+ prometheus_start
+}
+
+case "$1" in
+ start)
+ prometheus_start
+ ;;
+ stop)
+ prometheus_stop
+ ;;
+ restart)
+ prometheus_restart
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|restart}"
+ exit 1
+esac